Page MenuHomePhabricator

Add "info" URL to campaign data so that we can link to campaign page
Closed, ResolvedPublic

Description

We probably want to add a "info_url" field to campaign. See https://github.com/wiki-ai/wikilabels/blob/master/wikilabels/database/schema.sql#L1

We'll want to display that link in https://github.com/wiki-ai/wikilabels/blob/master/wikilabels/wsgi/static/js/wikiLabels/Labeler.js#L157

It should probably look like "<campaign name> (<a href="...">more info</a>)" in the campaign list.

Event Timeline

Halfak created this task.Jul 11 2016, 4:40 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 11 2016, 4:40 PM
Halfak triaged this task as Low priority.Jul 14 2016, 2:54 PM
Halfak assigned this task to schana.Jul 26 2016, 2:26 PM
Halfak updated the task description. (Show Details)

How is the schema file versioned/managed? Is it intended to be able to be run as-is with the actions being idempotent? Or is it meant for creating the schema from scratch every time?

Basically, should I add a column in the CREATE clause, or add an ALTER statement?

idempotent unless it is extremely painful to do so. Right now, I don't think it would be reasonable to start filling the schema.sql script with ALTER, so I'm partial to (1) updating schema.sql and (2) writing a specific maintenance script to run the ALTER.

I should note that, we've never done any meaningful schema changes, so we're still figuring this one out as we go.

schana removed schana as the assignee of this task.Aug 15 2016, 9:48 AM
schana added a subscriber: schana.
Halfak moved this task from Backlog to Front-end on the Wikilabels board.Nov 2 2016, 3:10 PM
Halfak updated the task description. (Show Details)Apr 24 2017, 5:06 PM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptOct 25 2017, 2:48 PM

Merged. Waiting on PR for UI components.

Ladsgroup moved this task from Incoming to Done on the User-Ladsgroup board.Nov 2 2017, 4:44 PM
Halfak closed this task as Resolved.Jan 30 2018, 8:32 PM